## python-vagrant 1.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --extra=test --no-annotate --output-file=requirements.txt --resolver=backtracking --strip-extras pyproject.toml
#
attrs==22.1.0
coverage==6.5.0
exceptiongroup==1.0.4
iniconfig==1.1.1
more-itertools==9.0.0
packaging==22.0
pluggy==1.0.0
pytest==7.2.0
pytest-cov==4.0.0
pytest-plus==0.2
tomli==2.0.1

## python-vagrant 0.5.14

=== debian/changelog ===
python-vagrant (0.5.14-1~bpo8+1) jessie-backports; urgency=medium

  * backport to jessie

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 27 Jun 2016 11:41:32 +0200

python-vagrant (0.5.14-1) unstable; urgency=medium

  * latest upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 17 Jun 2016 13:57:33 +0200

python-vagrant (0.5.13-1) unstable; urgency=low

  * Initial release. (Closes: #827514)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 16 Jun 2016 21:52:06 +0200

=== debian/control ===
Source: python-vagrant
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-vagrant.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-vagrant.git
Homepage: https://github.com/todddeluca/python-vagrant

Package: python-vagrant
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
XB-Python-Version: ${python:Versions}
Description: Python 2.7 bindings for interacting with Vagrant virtual machines
 python-vagrant is a Python module that provides a _thin_ wrapper
 around the `vagrant` command line executable, allowing programmatic
 control of Vagrant virtual machines (boxes).  This project began to
 create Python bindings for Vagrant to programmatically access vagrant
 boxes using Fabric. This module is useful for:
 .
  - Starting a Vagrant virtual machine (VM) (`up`)
  - Terminating a Vagrant VM (`destroy`)
  - Halting a Vagrant VM without destroying it (`halt`)
  - Querying the status of a VM or VMs (`status`)
  - Getting ssh configuration information useful for SSHing into the
    VM (`host`, `port`, ...)
  - Running `vagrant` commands in a multi-VM environment
    (http://vagrantup.com/v1/docs/multivm.html) by using `vm_name`
    parameter
  - Initializing the VM based on a named base box, using init().
  - Adding, Removing, and Listing boxes (`box add`, `box remove`,
    `box list`)
  - Provisioning VMs - up() accepts options like `no_provision`,
    `provision`, and `provision_with`, and there is a `provision()`
    method
  - Using sandbox mode from the Sahara gem:
    https://github.com/jedi4ever/sahara
 .
 This package is _beta_ and its API is not guaranteed to be
 stable. The API attempts to be congruent with the `vagrant` API
 terminology, to facilitate knowledge transfer for users already
 familiar with Vagrant. Over time, the python-vagrant API has changed
 to better match the underling `vagrant` CLI and to evolve with the
 changes in that CLI.
 .
 The package version numbering is in the form `0.X.Y`. The initial `0`
 reflects the _beta_ nature of this project. The number `X` is
 incremented when backwards-incompatible changes occur. The number `Y`
 is incremented when backwards-compatible features or bug fixes are
 added.
 .
 This package provides the Python 2.7 module.

Package: python3-vagrant
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for interacting with Vagrant virtual machines
 python-vagrant is a Python module that provides a _thin_ wrapper
 around the `vagrant` command line executable, allowing programmatic
 control of Vagrant virtual machines (boxes).  This project began to
 create Python bindings for Vagrant to programmatically access vagrant
 boxes using Fabric. This module is useful for:
 .
  - Starting a Vagrant virtual machine (VM) (`up`)
  - Terminating a Vagrant VM (`destroy`)
  - Halting a Vagrant VM without destroying it (`halt`)
  - Querying the status of a VM or VMs (`status`)
  - Getting ssh configuration information useful for SSHing into the
    VM (`host`, `port`, ...)
  - Running `vagrant` commands in a multi-VM environment
    (http://vagrantup.com/v1/docs/multivm.html) by using `vm_name`
    parameter
  - Initializing the VM based on a named base box, using init().
  - Adding, Removing, and Listing boxes (`box add`, `box remove`,
    `box list`)
  - Provisioning VMs - up() accepts options like `no_provision`,
    `provision`, and `provision_with`, and there is a `provision()`
    method
  - Using sandbox mode from the Sahara gem:
    https://github.com/jedi4ever/sahara
 .
 This package is _beta_ and its API is not guaranteed to be
 stable. The API attempts to be congruent with the `vagrant` API
 terminology, to facilitate knowledge transfer for users already
 familiar with Vagrant. Over time, the python-vagrant API has changed
 to better match the underling `vagrant` CLI and to evolve with the
 changes in that CLI.
 .
 The package version numbering is in the form `0.X.Y`. The initial `0`
 reflects the _beta_ nature of this project. The number `X` is
 incremented when backwards-incompatible changes occur. The number `Y`
 is incremented when backwards-compatible features or bug fixes are
 added.
 .
 This package provides the Python 3.x module.

## python-vagrant 0.5.15

=== debian/changelog ===
python-vagrant (0.5.15-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Use pybuild for building package.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Add vagrant to runtime depends.

 -- Ondřej Nový <onovy@debian.org>  Sun, 11 Aug 2019 15:14:07 +0200

python-vagrant (0.5.15-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Team upload.
  * Remove trailing whitespaces.
  * Bump Standards-Version to 4.2.1.
  * Bump debhelper compat level to 11.
  * wrap-and-sort -sa.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Sep 2018 18:31:18 +0100

python-vagrant (0.5.15-1) unstable; urgency=medium

  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 08 Jan 2018 22:07:40 +0100

=== debian/control ===
Source: python-vagrant
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/python-team/modules/python-vagrant.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-vagrant
Homepage: https://github.com/todddeluca/python-vagrant
Testsuite: autopkgtest-pkg-python

Package: python3-vagrant
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 vagrant,
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for interacting with Vagrant virtual machines
 python-vagrant is a Python module that provides a _thin_ wrapper
 around the `vagrant` command line executable, allowing programmatic
 control of Vagrant virtual machines (boxes).  This project began to
 create Python bindings for Vagrant to programmatically access vagrant
 boxes using Fabric. This module is useful for:
 .
  - Starting a Vagrant virtual machine (VM) (`up`)
  - Terminating a Vagrant VM (`destroy`)
  - Halting a Vagrant VM without destroying it (`halt`)
  - Querying the status of a VM or VMs (`status`)
  - Getting ssh configuration information useful for SSHing into the
    VM (`host`, `port`, ...)
  - Running `vagrant` commands in a multi-VM environment
    (http://vagrantup.com/v1/docs/multivm.html) by using `vm_name`
    parameter
  - Initializing the VM based on a named base box, using init().
  - Adding, Removing, and Listing boxes (`box add`, `box remove`,
    `box list`)
  - Provisioning VMs - up() accepts options like `no_provision`,
    `provision`, and `provision_with`, and there is a `provision()`
    method
  - Using sandbox mode from the Sahara gem:
    https://github.com/jedi4ever/sahara
 .
 This package is _beta_ and its API is not guaranteed to be
 stable. The API attempts to be congruent with the `vagrant` API
 terminology, to facilitate knowledge transfer for users already
 familiar with Vagrant. Over time, the python-vagrant API has changed
 to better match the underling `vagrant` CLI and to evolve with the
 changes in that CLI.
 .
 The package version numbering is in the form `0.X.Y`. The initial `0`
 reflects the _beta_ nature of this project. The number `X` is
 incremented when backwards-incompatible changes occur. The number `Y`
 is incremented when backwards-compatible features or bug fixes are
 added.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=vagrant
export PYBUILD_DISABLE=test

export HOME=$(CURDIR)/build/test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/python-vagrant/python-vagrant-(.*)\.tar\.gz

## python-vagrant 1.0.0

=== debian/changelog ===
python-vagrant (1.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Hans-Christoph Steiner ]
  * New upstream version 1.0.0
  * upstream follows PEP 517 using pyproject.toml

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 13 Oct 2022 23:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-vagrant
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Hans-Christoph Steiner <hans@eds.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-vagrant.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-vagrant
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-vagrant.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vagrant
 Homepage: https://github.com/todddeluca/python-vagrant
 Testsuite: autopkgtest-pkg-python

## python-vagrant 1.1.0

=== debian/changelog ===
python-vagrant (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 18:03:20 +0200

python-vagrant (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 06 Feb 2023 01:08:42 +0100

python-vagrant (0.5.15-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 16:02:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: python-vagrant
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Hans-Christoph Steiner <hans@eds.org>,
-Build-Depends:
- debhelper-compat (= 13),
- dh-python,
- pybuild-plugin-pyproject,
- python3-all,
- python3-setuptools,
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vagrant
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-vagrant.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vagrant
-Homepage: https://github.com/todddeluca/python-vagrant
-Testsuite: autopkgtest-pkg-python
+Homepage: https://github.com/pycontribs/python-vagrant
+Rules-Requires-Root: no
 
 Package: python3-vagrant
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- vagrant,
-XB-Python-Version: ${python3:Versions}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         vagrant
 Description: Python 3 bindings for interacting with Vagrant virtual machines
  python-vagrant is a Python module that provides a _thin_ wrapper
  around the `vagrant` command line executable, allowing programmatic

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export HOME=$(CURDIR)/build/test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/python-vagrant/python-vagrant-(.*)\.tar\.gz
